# std::ranges::chunk_view<V>::iterator<Const>::operator*

From cppreference.com
< cpp‎ | ranges‎ | chunk view‎ | iterator

constexpr value_type operator*() const; |  | (since C++23)

Returns the current element in the `chunk_view`.

Let `current_`, `end_`, and `n_` be the underlying data members.

Equivalent to: return views::take ( ranges::subrange (current_, end_), n_).

Before the invocation the expression current_ != end_ must be true, otherwise the behavior is undefined.

### Parameters

(none)

### Return value

The current element, which is an object of `value_type`.

### Example

| This section is incomplete Reason: no example

### See also

operator[] (C++23) | accesses an element by index (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/ranges/chunk_view/iterator/operator*&oldid=151612"